Summary:	Icon theme Rodent for the Xfce Desktop
Name:		xfce4-icon-theme
Version: 	4.4.3
Release:	%mkrel 7
License:	BSD
Group:		Graphical desktop/XFCE
URL:		http://www.xfce.org
Source0: 	http://www.xfce.org/archive/xfce-%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:	xfce4-panel-devel >= %{version}
BuildRequires:	perl(XML::Parser)
Requires:	xfce4-panel >= %{version}
Requires:       glibc >= 2.10.1
Requires:       libstdc++6 >= 4.4.1
BuildArch:	noarch
Obsoletes:	xfce-icon-theme < 4.4.3
Provides:	xfce-icon-theme
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Obsoletes:	%name < %version

%description
Icon theme Rodent for the Xfce Desktop Environment from 2012

Included:
- about 500 icons in SVG format
- all the corresponding copies in PNG format
- almost all icons for a unified Gnome interface (excepted afaict the settings 
  manager, for the time being)

#german
%description -l de
Icon für das Thema Nagetiere Xfce Desktop Environment. 

Im Preis inbegriffen: 
- Ca. 500 Icons im SVG-Format 
- Alle entsprechenden Kopien im PNG-Format 
- Fast alle Symbole fahren, um eine einheitliche Schnittstelle Gnome (außer afaict die Einstellungen 
   Manager, für die vorerst)

#french
%description -l fr
Icon Theme une cage pour l'environnement de bureau Xfce. 

Inclus: 
- Environ 500 icônes au format SVG 
- Tous les exemplaires correspondant au format PNG 
- Presque tous des icônes pour une interface unifiée Gnome (exceptés les paramètres afaict 
   Manager, pour le moment)

#spanish
%description -l es
Roedores del tema del icono del entorno de escritorio Xfce. 

Incluye: 
- Cerca de 500 iconos en formato SVG 
- Todas las copias correspondientes en formato PNG 
- Casi todos los iconos de una interfaz Gnome unificado (exceptuados afaict los ajustes de 
   gerente, por el momento)

#polish
%description -l pl
Icon theme Rodent for the Xfce Desktop Environment.

#serbian
%description -l sr
Икона теме глодара за Ксфце Десктоп окружење. 

Прилози: 
- Око 500 икона у формату СВГ фајл 
- Сви одговарајући примерака у ПНГ формату 
- Скоро све иконице за гноме јединствен интерфејс (осим афаицт подешавања 
   менаџер, за сада)

#dutch
%description -l nl
Pictogramthema Rodent voor de Xfce Desktop Environment. 

Inbegrepen: 
- Ongeveer 500 iconen in SVG-formaat 
- Alle overeenkomstige exemplaren in PNG-formaat 
- Bijna alle iconen voor een verenigd Gnome-interface (met uitzondering van afaict de instellingen 
   manager, voor het moment)
 
%prep 
%setup -q

%build

#(tpg) don't use macro for configure because it fails
./configure --prefix=%{_prefix} --libdir=%{_libdir}

%make

%install
rm -rf %{buildroot}
%makeinstall_std

touch %{buildroot}%{_iconsdir}/Rodent/icon-theme.cache

# don't ship .la
find %{buildroot} -name '*.la' -exec rm -f {} \;

# don't ship .a
find %{buildroot} -name '*.a' -exec rm -f {} \;

%clean
rm -rf %{buildroot}

%post
%update_icon_cache Rodent

%postun
%clean_icon_cache Rodent

%files
%defattr(-,root,root)
%doc README ChangeLog AUTHORS
%dir %{_iconsdir}/Rodent/
%{_iconsdir}/Rodent/*/
%{_datadir}/xfce4/mime/*
%exclude %{_libdir}/pkgconfig/xfce4-icon-theme-1.0.pc
%ghost %{_iconsdir}/Rodent/icon-theme.cache


%changelog
* Sun Sep 04 2022 tex - 4.4.3-7pclos2022
- rebuild against updates

* Sun Aug 18 2019 tex - 4.4.3-6pclos2019
- rebuild against updates

* Sun Jan 01 2012 Sproggy <desproggster at gmail.com> 4.4.3-5pclos2012
- rebuild

* Wed Jan 26 2011 Sproggy <desproggster@gmail.com> 4.4.3-4pclos2011
- updated for xfce4.8

* Sun Nov 14 2010 Sproggy <desproggster@gmail.com> 4.4.3-3pclos2010
- update for xfce4.8pre1

* Wed Oct 07 2009 Neal <nealbrks0@gmail.com> 4.4.3-2
- gcc update

* Mon Apr 06 2009 pcserver <pcserver@hushmail.com> 4.4.3-1pclos2007
- update

